Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

opi-2.4.1-1.1 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: opi Distribution: openSUSE Tumbleweed
Version: 2.4.1 Vendor: openSUSE
Release: 1.1 Build date: Mon Oct 18 22:33:54 2021
Group: System/Packages Build host: sheep87
Size: 109027 Source RPM: opi-2.4.1-1.1.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/openSUSE/opi
Summary: OBS Package Installer (CLI)
OBS Package Installer (CLI)

Provides

Requires

License

GPL-3.0-only

Changelog

* Mon Oct 11 2021 Dominik Heidler <dheidler@suse.de>
  - Version 2.4.1
    * Changed
    - Don't expect output to be a tty
* Mon Oct 11 2021 Dominik Heidler <dheidler@suse.de>
  - Version 2.4.0
    * Added
    - Scrolling of results
    - Plugin for atom editor
* Mon Sep 06 2021 Dominik Heidler <dheidler@suse.de>
  - Version 2.3.0
    * Changed
    - Fixed gpgcheck entry in add_repo()
    - Allowed using multiple query keywords that are combined using AND
    * Added
    - Plugin for sublime text
    - Plugin for yandex-disk
* Fri Aug 20 2021 Dominik Heidler <dheidler@suse.de>
  - Version 2.2.0
    * Added
    - Plugin for MEGA
    - Plugin for Edge Beta
    - Argument parser with option for reverse output order
* Tue Aug 10 2021 Dominik Heidler <dheidler@suse.de>
  - Version 2.1.1
    * Added
    - Plugin for Brave Browser
* Tue Jul 06 2021 Dominik Heidler <dheidler@suse.de>
  - Version 2.1.0
    * Added
    - Support for dnf backend
    * Changed
    - Deduplicated packman repo creation code
* Mon May 03 2021 Dominik Heidler <dheidler@suse.de>
  - Version 2.0.0
    * Added
    - Automated tests
    - Extensible Plugin interface for plugins (eg. this one)
    - Added plugins for chrome, dotnet, edge, teams, packman, plex,
      skype, slack, teamviewer, vivaldi, vscode, vscodium, zoom
    * Changed
    - Rewrote the complete tool in python3
* Fri Apr 16 2021 Dirk Müller <dmueller@suse.com>
  - stop owning dirs provided by filesytem rpm (bsc#1184786)
* Sun Jan 17 2021 Yunhe Guo <i@guoyunhe.me>
  - Version 0.10.0
    * Added
    - Microsoft Teams installer
    - Warning for personal repository
* Sun Nov 01 2020 Yunhe Guo <i@guoyunhe.me>
  - Fix appstream file location
* Sat Oct 03 2020 Yunhe Guo <i@guoyunhe.me>
  - Version 0.9.0
    * Added
    - Help (-h, --help) and version (-v, --version) option
    * Changed
    - Filter out -devel, -docs and -lang packages
    - Don't show i586 packages on x86_64 system
* Sat Jul 25 2020 Yunhe Guo <i@guoyunhe.me>
  - Version 0.8.3
    * Fixed
    - ffmpeg/libav packages due to Packman update
* Sat May 16 2020 Yunhe Guo <i@guoyunhe.me>
  - Version 0.8.2
    * Fixed
    - Ghost process on XML parsing failure
* Fri Apr 03 2020 Yunhe Guo <i@guoyunhe.me>
  - Version 0.8.1
    * Fixed
    - OBS limit error when searching php, test, etc.
* Sat Feb 29 2020 Yunhe Guo <i@guoyunhe.me>
  - Version 0.8.0
    * Changed
    - Type number 0 to exit
* Fri Nov 08 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.7.1
    * Fixed
    - Missing use File::Temp;
* Thu Aug 29 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.7.0
    * Changed
    - Force repo URL to HTTPS
    * Fixed
    - Ctrl + C handling of spinner
* Sun Aug 18 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.6.0
    * Added
    - Search spinner
    * Fixed
    - Packman repo doesn't have *.repo file
    - Long version numbers are cutted
* Sun Aug 18 2019 Yunhe Guo <i@guoyunhe.me>
  - Added perl(LWP::Protocol::https) dependency and change to more
    compatible dependency format
* Tue Jun 11 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.5.2
    * Fixed
    - Trim "NAME" and "VERSION" string
* Mon Jun 03 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.5.1
    * Fixed
    - Fix dependency not found issue
* Wed May 22 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.5.0
    * Added
    - API proxy server to prevent hard-coded passwords in the script
* Tue May 21 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.4.0
    * Added
    - PMBS (Packman Build Service) support
* Thu May 09 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.3.1
    * Fixed
    - `opi opi` cannot find `opi`
* Thu May 09 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.3.1
    * Fixed
    - Remove quotes from version number. So Leap and SLE can search packages.
* Wed May 08 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.3.0
    * Added
    - Support SLE
    * Changed
    - Better print column alignment
* Fri May 03 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.2.0
    * Added
    - Install Packman Codecs with `opi packman` or `opi codecs`
    - Install Skype with `opi skype`
    - Install VS Code with `opi vs code`
* Mon Apr 29 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.1.2
    * Fixed
    - Fixed lost of "noarch" packages
    - Be able to search with dashes in keywords
* Mon Apr 29 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.1.1
    * Fixed
    - Removed XML dump which may cause problems.
* Sun Apr 28 2019 Yunhe Guo <i@guoyunhe.me>
  - Version 0.1.0
    * Added
    - Search packages from OBS
    - List properly sorted search result
    - Use different colors for official, experimental and personal projects
    - Choose package and install
    - Keep or remove repository after installation

Files

/usr/bin/opi
/usr/lib/python3.8/site-packages/opi
/usr/lib/python3.8/site-packages/opi-2.4.1-py3.8.egg-info
/usr/lib/python3.8/site-packages/opi/__init__.py
/usr/lib/python3.8/site-packages/opi/__pycache__
/usr/lib/python3.8/site-packages/opi/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/__pycache__/pager.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/__pycache__/version.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/backends
/usr/lib/python3.8/site-packages/opi/backends/__init__.py
/usr/lib/python3.8/site-packages/opi/backends/__pycache__
/usr/lib/python3.8/site-packages/opi/backends/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/config
/usr/lib/python3.8/site-packages/opi/config/__init__.py
/usr/lib/python3.8/site-packages/opi/config/__pycache__
/usr/lib/python3.8/site-packages/opi/config/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/pager.py
/usr/lib/python3.8/site-packages/opi/plugins
/usr/lib/python3.8/site-packages/opi/plugins/__init__.py
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/atom.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/brave.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/chrome.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/dotnet.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/megasync.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/ms_edge_beta.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/ms_edge_dev.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/ms_teams.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/packman.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/plex.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/skype.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/slack.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/sublime.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/teamviewer.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/vivaldi.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/vs_code.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/vs_codium.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/yandex-disk.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/__pycache__/zoom.cpython-38.pyc
/usr/lib/python3.8/site-packages/opi/plugins/atom.py
/usr/lib/python3.8/site-packages/opi/plugins/brave.py
/usr/lib/python3.8/site-packages/opi/plugins/chrome.py
/usr/lib/python3.8/site-packages/opi/plugins/dotnet.py
/usr/lib/python3.8/site-packages/opi/plugins/megasync.py
/usr/lib/python3.8/site-packages/opi/plugins/ms_edge_beta.py
/usr/lib/python3.8/site-packages/opi/plugins/ms_edge_dev.py
/usr/lib/python3.8/site-packages/opi/plugins/ms_teams.py
/usr/lib/python3.8/site-packages/opi/plugins/packman.py
/usr/lib/python3.8/site-packages/opi/plugins/plex.py
/usr/lib/python3.8/site-packages/opi/plugins/skype.py
/usr/lib/python3.8/site-packages/opi/plugins/slack.py
/usr/lib/python3.8/site-packages/opi/plugins/sublime.py
/usr/lib/python3.8/site-packages/opi/plugins/teamviewer.py
/usr/lib/python3.8/site-packages/opi/plugins/vivaldi.py
/usr/lib/python3.8/site-packages/opi/plugins/vs_code.py
/usr/lib/python3.8/site-packages/opi/plugins/vs_codium.py
/usr/lib/python3.8/site-packages/opi/plugins/yandex-disk.py
/usr/lib/python3.8/site-packages/opi/plugins/zoom.py
/usr/lib/python3.8/site-packages/opi/version.py
/usr/share/doc/packages/opi
/usr/share/doc/packages/opi/README.md
/usr/share/licenses/opi
/usr/share/licenses/opi/LICENSE
/usr/share/man/man8/opi.8.gz
/usr/share/metainfo/org.openSUSE.opi.appdata.xml


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Oct 26 23:19:48 2021